Skip to main content
GET
Get application

Authorizations

Authorization
string
header
required

Application (M2M) OAuth2 access token (client credentials).

Path Parameters

id
string<uuid>
required

The application ID.

Response

Application retrieved successfully.

Response model for a bank account application.

id
string<uuid>
required

Unique identifier for the bank account application.

applicant
null | object

Applicant information for the bank account.

businessDetails
null | object

Business details associated with the application.

businessOwners
null | object[]

List of business owners associated with the application.

kycVerificationStatus
null | enum<string>

Outcome of the identity/business (KYC) verification for the application, or null when verification has not started. May be non-null before submission: bypass-KYC providers have this pre-approved at creation while the application is still in DRAFT.

Available options:
PENDING,
MANUAL_REVIEW,
APPROVED,
DENIED
organizationId
null | string<uuid>

Identifier of the organization the application has been onboarded under. Null until the application has been verified and the organization created.

status
enum<string>

Current status of the bank account application.

Available options:
DRAFT,
SUBMITTED,
COMPLETE,
DELETED,
CANCELED,
DENIED
userId
null | string<uuid>

Identifier of the user created for the applicant during onboarding. Null until the application has been verified and the user created.